Subject: bug#50612: closed (Re: [bug#50612] [PATCH 0/2] Update esbuild & x/sys dependency)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Dec 2021 16:33:02 +0000

Your bug report

#50612: [PATCH 0/2] Update esbuild & x/sys dependency

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50612: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50612
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#50612] [PATCH 0/2] Update esbuild & x/sys dependency
From: Nicolas Goaziou <[email-masked]>
To: Ryan Prior via Guix-patches via <[email-masked]>
Cc: Ryan Prior <[email-masked]>, [email-masked]
Date: Wed, 01 Dec 2021 17:32:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Ryan Prior via Guix-patches via <[email-masked]> writes:

> Hi guix! This update to esbuild requires a recent x/sys, which is
> a dependency of a lot of other packages. I'm not sure how to go about
> building all its dependent packages but I'll look into that and send
> a follow-up if I learn anything useful.

Thanks. I pushed this to staging branch.  I also merged both updates
into a single commit.

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH 0/2] Update esbuild & x/sys dependency
From: Ryan Prior <[email-masked]>
To: [email-masked]
Date: Thu, 16 Sep 2021 01:18:54 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix! This update to esbuild requires a recent x/sys, which is a dependency of a lot of other packages. I'm not sure how to go about building all its dependent packages but I'll look into that and send a follow-up if I learn anything useful.

Cheers,
Ryan

Ryan Prior (2):
  gnu: go-golang-x-sys: Update to latest.
  gnu: esbuild: Update to 0.12.28.

 gnu/packages/golang.scm | 6 +++---
 gnu/packages/web.scm    | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

--
2.33.0